<?php get_header();
$config = get_option('my_framework');
?>
<main class="<?php musicsara_container_class(); ?> mt-3 ajax_context" style="min-height: 470px">
  <div class="content__header d-flex justify-content-between mt-4">
    <h3><span class="indicator"></span><?php _e('آخرین مطالب وبلاگ', 'musicsara') ?></h3>
  </div>
  <div class="row">
    <?php if (have_posts()) : while (have_posts()) : the_post();?>
    <div class="col-xxl-3 col-xl-3 col-lg-4 col-md-6 col-sm-6 col-12">
      <div class="postItem_blog mb-4">
        <div class="postItem_blog__image">
          <a href="<?php the_permalink() ?>">
            <?php the_post_thumbnail('blog') ?>
          </a>
        </div>
        <div class="postItem_blog__title pb-2">
          <a href="<?php the_permalink() ?>">
            <h2 class="pb-2"><?php the_title(); ?></h2>
          </a>
          <p><?= limited_excerpt(get_the_excerpt(), 140) ?></p>
        </div>
        <div class="d-flex justify-content-between align-items-center">
          <span class="blog_meta">
            <i class="bi bi-chat-quote-fill"></i> <?= comments_number( '۰ نظر', '۱ نظر', '% نظر' );  ?>
          </span>
          <a class="blog_read_more" href="<?php the_permalink() ?>"><?php _e('بیشتر بخوانید', 'musicsara') ?></a>
        </div>
      </div>
    </div>
    <?php endwhile;
    else : ?><div class="not_found"><?php _e('مطلبی یافت نشد.', 'musicsara') ?></div><?php endif; ?>
  </div>
  <div class="pagination">
  <?php pagination(__('قبلی', 'musicsara'), __('بعدی', 'musicsara'));  ?>
  </div>
</main>


<?php get_footer(); ?>