window.onload = function(){ 
  if(document.querySelector(".preload")){
    document.querySelector(".preload").style.display = "none";
    
  }
  setTimeout(function(){
    jQuery('.swiper').css('opacity', 1);
  }, 300)
}
// fallback to display preload if stuck for more than 5 seconds
if(document.querySelector(".preload")){
  setTimeout(function () {
    document.querySelector(".preload").style.display = "none";
  }, 5000);
}




jQuery(document).on('ready', function() {
  window.$ = jQuery;

  var LoadingMarkUp = '<div class="loadingBalls">' + '<div class="ball"></div>' + '<div class="ball"></div>' + '<div class="ball"></div>' + '</div>';

  $('#load_more_comments').on('click', function () {
    var button = $(this);
    var current_page = button.data('cp');
    var last_page = button.data('lp');
    var post_id = button.data('id');

    current_page++

    $.ajax({
			url : ajaxurl,
			data : {
				'action': 'musicsara_load_more_comments', // wp_ajax_musicsara_load_more_comments
				'post_id': post_id,
				'cpage' : current_page,
			},
			type : 'POST',
			beforeSend : function ( xhr ) {
        button.text('');
        button.html(LoadingMarkUp);
        button.attr('disabled', 'disabled');
			},
      success: function (data) {
        button.removeAttr('disabled');
        button.html('');
        button.data('cp', current_page)
				if( data ) {
					$('ol.comment-list').append( data );
					button.text( musicsara.load_comment ); 
					 // if the last page, remove the button
					if ( current_page == last_page )
						button.remove();
				} else {
					button.remove();
				}
			}
		});
		return false;
  });
  
  $('.load_more_artist').on('click', function () {
    var button = $(this);
    var current_page = button.data('cp');
    var term_id = button.data('term');
    var type = button.data('type');
    var max_num_pages = button.data('mp');

    current_page++

    $.ajax({
			url : ajaxurl,
			data : {
				'action': 'musicsara_load_more_posts', // wp_ajax_musicsara_load_more_posts
				'term_id': term_id,
				'type': type,
				'cpage' : current_page,
			},
			type : 'POST',
			beforeSend : function ( xhr ) {
        button.text('');
        button.html(LoadingMarkUp);
        button.attr('disabled', 'disabled');
			},
      success: function (data) {
        button.html('');
        button.data('cp', current_page);
        button.removeAttr('disabled');
				if( data ) {
					$('.'+type).append( data );
					button.text( musicsara.load_posts ); 
					 // if the last page, remove the button
					if ( current_page ==  max_num_pages )
						button.remove();
				} else {
					button.remove();
				}
			}
		});
		return false;
	});

  var lastState2 = JSON.parse(localStorage.getItem("adminNotice"));

    if (lastState2) {
      //check expire date
      if (new Date().getTime() > lastState2.expire) {
        var date = new Date();
        //add 1 day to current day
        date.setDate(date.getDate() + 1);

        localStorage.setItem(
          "adminNotice",
          JSON.stringify({ show: true, expire: date.getTime() })
        );
        $(".adminNotice").css("display", "flex");
      }
    }
    if (lastState2 && lastState2.show) {
      $(".adminNotice").css("display", "flex");
    }
    if (!lastState2) {
      $(".adminNotice").css("display", "flex");
    }
    $("#dismissNotice").click(function (e) {
      $(".adminNotice").hide('fast');
      var date = new Date();
      //add 1 day to current day
      date.setDate(date.getDate() + 1);
      //set show false and expire date for tomorrow
      var dismissState = { show: false, expire: date.getTime() };
      localStorage.setItem('adminNotice', JSON.stringify(dismissState));
    });


  $('#musicsara_filter').on('change', function (e) {
    $(this).closest('form').submit();
  });




  function setFavorite(userid, favoriteid) {
    var favorite_field = jQuery(".artistFollow-"+favoriteid);
    var favorite_label = jQuery('[data-js="favorite_label"]');

    jQuery.ajax({
      url: ajaxurl,
      data: {
        action: "setfollow",
        userid: userid,
        favoriteid: favoriteid,
        nonce: nonce,
      },
      dataType: "json",
      type: "POST",
      cache: false,

      beforeSend: function (xhr) {
        favorite_field.attr('disabled', 'disabled')
        favorite_field
          .removeClass("bi-star-fill bi-star")
          .addClass("bi-three-dots");
        favorite_field.html(musicsara.wait)
        
      },

      success: function (data) {
        favorite_field.removeAttr('disabled');
        var icon = data.is_favorite ? "bi-star-fill" : "bi-star";

        favorite_field.removeClass("bi-three-dots");
        favorite_field.addClass(icon);

        favorite_label.html("");
        favorite_label.append(data.favorites_num);
        var toast = jQuery('#toast');
        if (data.error) {
          
          toast.html(data.message);
          toast.fadeIn('fast');
          setTimeout(function () {
            toast.fadeOut('fast');
            toast.html('');
          }, 4000);
          favorite_field.html(musicsara.follow)
        } else {
          if (data.is_favorite) {
            favorite_field.html(musicsara.unfollow)
          } else {
            favorite_field.html(musicsara.follow)
          }
          $('.followers').html(data.followers_count)
          toast.html(data.message);
          toast.fadeIn('fast');
          setTimeout(function () {
            toast.fadeOut('fast');
            toast.html('');
          }, 4000);
        }
      },
    });
  }

  jQuery("[data-js=follow]").on('click', function () {
    var favoriteid = jQuery(this).data("follow");
    var userid = jQuery(this).data("user");
    setFavorite(userid, favoriteid);
  });
 
  jQuery(".removeFav").on('click', function () {
    var postid = jQuery(this).data("id");
    var userid = jQuery(this).data("user");
   if (confirm('آیا می‌خواهید حذف کنید؟')) {
     jQuery.ajax({
       url: ajaxurl,
       data: {
         action: "removeFav",
         userid: userid,
         favoriteid: postid,
         nonce: nonce,
       },
       dataType: "json",
       type: "POST",
       cache: false,

       success: function (data) {
         console.log(data);
         if (data.success) {
           jQuery(".p" + data.id).slideUp("fast");
         }
       },
     });
   }
 });

  var single_controls = `
  <div class="plyr__controls">
    <button type="button" class="plyr__control custom_prev">
    <svg data-type="prev" class="cursor-pointer no_fill" width="18" height="19" viewBox="0 0 18 19" fill="none" xmlns="http://www.w3.org/2000/svg">
    <path d="M15.75 3.95825V15.0416L9.75 9.49992L15.75 3.95825Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
    <path d="M7.5 3.95825V15.0416L1.5 9.49992L7.5 3.95825Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
</svg>
      <span class="plyr__tooltip" role="tooltip">قبلی</span>
    </button>
   <button class="plyr__controls__item plyr__control play_button" type="button" data-plyr="play" aria-label="Play">
      <svg class="icon--pressed" aria-hidden="true" focusable="false">
         <use xlink:href="#plyr-pause"></use>
      </svg>
      <svg class="icon--not-pressed" aria-hidden="true" focusable="false">
         <use xlink:href="#plyr-play"></use>
      </svg>
      <span class="label--pressed plyr__sr-only">Pause</span><span class="label--not-pressed plyr__sr-only">Play</span>
   </button>
   <button type="button" class="plyr__control custom_next">
      <svg data-type="next" class="cursor-pointer no_fill" width="19" height="19" viewBox="0 0 19 19" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M2.375 3.95825V15.0416L8.70833 9.49992L2.375 3.95825Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                    <path d="M11.0834 3.95825V15.0416L17.4167 9.49992L11.0834 3.95825Z" stroke="currentColor" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"></path>
                </svg>
      <span class="plyr__tooltip" role="tooltip">بعدی</span>
    </button>

    
   
   <div class="plyr__controls__item plyr__progress__container">
      <div class="plyr__progress"><input data-plyr="seek" type="range" min="0" max="100" step="0.01" value="0" autocomplete="off" role="slider" aria-label="Seek" aria-valuemin="0" aria-valuemax="275.0987" aria-valuenow="50.997832" id="plyr-seek-4803" aria-valuetext="00:50 of 04:35" style="--value:0%;" seek-value="21.228611201769052"><progress class="plyr__progress__buffer" min="0" max="100" value="31.963437122749035" role="progressbar" aria-hidden="true">% buffered</progress><span class="plyr__tooltip" style="left: 21.3139%;">00:58</span></div>
   </div>


   <div class="plyr__controls__item plyr__volume"><button type="button" class="plyr__control" data-plyr="mute" aria-pressed="false"><svg class="icon--pressed" aria-hidden="true" focusable="false"><use xlink:href="#plyr-muted"></use></svg><svg class="icon--not-pressed" aria-hidden="true" focusable="false"><use xlink:href="#plyr-volume"></use></svg><span class="label--pressed plyr__tooltip">Unmute</span><span class="label--not-pressed plyr__tooltip">Mute</span></button><input data-plyr="volume" type="range" min="0" max="1" step="0.05" value="1" autocomplete="off" role="slider" aria-label="Volume" aria-valuemin="0" aria-valuemax="100" aria-valuenow="100" id="plyr-volume-3700" aria-valuetext="100.0%" style="--value: 100%;"></div>

    <div class="ps-3 text-right" style="min-width: 120px">

      <div class="song_name"></div>
        <div class="time_range">
        <div class="plyr__time plyr__time--current" aria-label="Current time">00:00</div>
        <div class="plyr__time plyr__time--duration" aria-label="Duration">00:00</div>
      </div>
    </div>
</div>
  `

  const player = new Plyr('#video_player');
  const audioPlayer = new Plyr('#audioPlayer', {
    settings: [],
    controls: ['play', 'progress', 'current-time']
  });
  const audioPlayerSingle = new Plyr('#audioPlayerSingle', {
    settings: [],
    controls: single_controls
  });

  var musicElement = $('#audioPlayerSingle');
  var lastIndex = (musicElement.children().length) - 1;
  var songName = $('.song_name');
  songName.html(musicElement.attr('data-firtSongName'));

  // automatic go next music when current music end
  musicElement.on('ended', (event) => {
    console.log('end');
    currentIndex = parseInt(musicElement.attr('data-activeIndex'));
    console.log(currentIndex)
      //increase index until reach end
      if (currentIndex <= lastIndex) {
        musicElement.attr('data-activeIndex', currentIndex + 1);
        nextElement = musicElement.children()[currentIndex + 1];
        musicElement.attr('src', $(nextElement).attr('src'));
        audioPlayerSingle.play();
        songName.html($(nextElement).attr('data-title'));
      }
  });


  $(document).on('click', '.play_single_music', function(){ 
    var id = $(this).data('id');
    var nonce = $(this).data('nonce');
    var _this = $(this);
    $('.play_single_music').children().removeClass('bi-pause-fill').addClass('bi-play-fill');


    if ($(_this).attr('data-link')) {
      
      // we have the audio file 
      if ($(_this).attr('data-state') == 'playing') {
        // pause song
        musicElement.attr('src', $(_this).attr('data-link'));
        audioPlayerSingle.pause();
        $(_this).children().removeClass('bi-pause-fill').addClass('bi-play-fill');
        $(_this).attr('data-state', 'paused');
      } else if ($(_this).attr('data-state') == 'ended' || $(_this).attr('data-state') == 'paused') {
        // play song
        musicElement.attr('src', $(_this).attr('data-link'));
        audioPlayerSingle.play();
        $('#player').fadeIn();
        $(_this).children().removeClass('bi-play-fill').addClass('bi-pause-fill');
        $(_this).attr('data-state', 'playing');
      }
      
    } else {
      jQuery.ajax({
        url: likeit.ajax_url,
        type: 'post',
        data: {
          action: 'get_music_url',
          id: id,
          nonce: nonce
        },
        beforeSend: function () {
          $(_this).children().removeClass('bi-play-fill').addClass('bi-three-dots spin');
        },
        success: function (data) {
          if (data.error == false) {
            // cache played music for second time
            $(_this).attr('data-link', data.link);
            $(_this).attr('data-name', data.name);
            // remove spinner
            $(_this).children().removeClass('bi-three-dots spin').addClass('bi-pause-fill');
            $('.song_name').html('')
            $('#player').fadeIn();
            songName.html(data.name);
            musicElement.attr('src', data.link);
            audioPlayerSingle.play();
            $(_this).attr('data-state', 'playing');
  
            audioPlayerSingle.on('ended', event => {
              $(_this).children().removeClass('bi-pause-fill').addClass('bi-play-fill');
              $(_this).attr('data-state', 'ended');
              $('#player').fadeOut();
            });
          }
        }
      });
    }
  });

 

  $('#close_player').on('click', function () {
    $('#player').fadeOut();
    audioPlayerSingle.pause();
    $('#open_player').css('display', 'flex');
  });

  $('#open_player').on('click', function () {
    $('#open_player').fadeOut();
    $('#player').fadeIn();
    audioPlayerSingle.play();
  });

  $('.playAlbum').on('click', function (e) {
    $('#player').fadeIn();
    selectedIndex = $(this).attr('data-index');
    selectedSongName = $(this).attr('data-title');
    //set song name
    songName.html(selectedSongName);
    //set song index to audio element
    musicElement.attr('data-activeIndex', selectedIndex);
    selectedElement = musicElement.children()[selectedIndex];
    //set selected song url to player
    musicElement.attr('src', $(selectedElement).attr('src'));
    audioPlayerSingle.play();

  });

  $('.custom_next').on('click', function () {
    currentIndex = parseInt(musicElement.attr('data-activeIndex'));
    // console.log($('#audioPlayerSingle').attr('data-activeIndex'));
    console.log(currentIndex)
      //increase index until reach end
      if (currentIndex <= lastIndex) {
        musicElement.attr('data-activeIndex', currentIndex + 1);
        nextElement = musicElement.children()[currentIndex + 1];
        musicElement.attr('src', $(nextElement).attr('src'));
        audioPlayerSingle.play();
        songName.html($(nextElement).attr('data-title'));
      }
  });

  $('.custom_prev').on('click', function () {
    currentIndex = parseInt(musicElement.attr('data-activeIndex'));
      //increase index until reach end
      if (currentIndex > 0) {
        musicElement.attr('data-activeIndex', currentIndex - 1);
        nextElement = musicElement.children()[currentIndex - 1];
        musicElement.attr('src', $(nextElement).attr('src'));
        audioPlayerSingle.play();
        songName.html($(nextElement).attr('data-title'));
      }
  });




  $('form.cart').on('click', 'button.plus, button.minus', function () {

    // Get current quantity values
    var qty = $(this).closest('form.cart').find('.qty');
    var val = parseFloat(qty.val());
    var max = parseFloat(qty.attr('max'));
    var min = parseFloat(qty.attr('min'));
    var step = parseFloat(qty.attr('step'));

    // Change the value if plus or minus
    if ($(this).is('.plus')) {
      if (max && (max <= val)) {
        qty.val(max);
      }
      else {
        qty.val(val + step);
      }
    }
    else {
      if (min && (min >= val)) {
        qty.val(min);
      }
      else if (val > 1) {
        qty.val(val - step);
      }
    }

  });
  var mouse_is_inside = false;
  $('#datafetch').hover(function () {
    mouse_is_inside = true;
  }, function () {
    mouse_is_inside = false;
  });
  $("body").mouseup(function () {
    if (!mouse_is_inside) {
      $('#datafetch').hide();
    }
  });
  $('.ajax_search').keyup(function () {
    if ($(this).val().length > 0) {
      $('#datafetch').show();
      $('#datafetch').html('<h6>'+musicsara.wait+'</h6');
    } else {
      $('#datafetch').hide();
    }
  });

  var debounce;
  $('.ajax_search').on('input', function (e) {
    clearTimeout(debounce);
    debounce = setTimeout(
      function () {
        fetchResults();
      }, 1000
    );
  });

  function fetchResults() {
    var keyword = $('.ajax_search').val();
    if (keyword == "") {
      $('#datafetch').html("");
    } else {
      jQuery.ajax({
        url: likeit.ajax_url,
        type: 'post',
        data: {
          action: 'data_fetch',
          keyword: keyword
        },
        // beforeSend: function () {
        //   $('#datafetch').html('<h6>صبرکنید...</h6>');
        // },
        success: function (data) {
          $('#datafetch').html('');
          $('#datafetch').html(data);
        }
      });
    }
  }

  $('.tags__header').on('click', function () {
    $(this).next().slideToggle();
    $('.bi-chevron-double-left').toggleClass('rotate_tag');
  });

  if ($("html").hasClass("light")) {
    $(".dark_toggle").addClass("bi-moon");
    $(".dark_toggle").removeClass("bi-sun");
    $('.path-0').attr('fill', '#f5f5f5');
  } else {
    $(".dark_toggle").addClass("bi-sun");
    $(".dark_toggle").removeClass("bi-moon");
    $('.path-0').attr('fill', '#181818');
  }

  $(".light_switch").on('click', function () {
    $("html").toggleClass("light");
    if ($("html").hasClass("light")) {
      localStorage.setItem("theme", "light");
      $('.path-0').attr('fill', '#f5f5f5');
      $(".dark_toggle").removeClass("bi-moon");
      $(".dark_toggle").addClass("bi-sun");
    } else {
      localStorage.setItem("theme", "dark");
      $('.path-0').attr('fill', '#181818');
      $(".dark_toggle").removeClass("bi-sun");
      $(".dark_toggle").addClass("bi-moon");
    }
  });

  $(".go_up").on("click", function (e) {
    e.preventDefault();
    $("html, body").animate({ scrollTop: 0 }, 100);
  });

  $(document).on('click', '.pt-like-it', function (e) {
    var post_id = jQuery(this).find('.like-button').attr('data-id'),
      nonce = jQuery(this).find('.like-button').attr("data-nonce");

    jQuery.ajax({
      url: likeit.ajax_url,
      type: 'post',
      data: {
        action: 'pt_like_it',
        post_id: post_id,
        nonce: nonce
      },
      beforeSend: function () {
        jQuery('#like-count-' + post_id + ' span').removeClass('bi-heart').addClass('bi-three-dots spin');
      },
      success: function (response) {
        // jQuery('#like-count-'+post_id).html( response );
        jQuery('#like-count-' + post_id + ' span').removeClass('bi-three-dots spin');
        if (response.action == '+') {
          jQuery('#like-count-' + post_id + ' span').addClass('bi-heart-fill')
        } else {
          jQuery('#like-count-' + post_id + ' span').addClass('bi-heart')
        }
        if (response.count == 0) {
          jQuery('#like-count-' + post_id).attr('data-bs-original-title', '' + response.count + musicsara.like).tooltip('show')

        } else {
          jQuery('#like-count-' + post_id).attr('data-bs-original-title', '+' + response.count + musicsara.like).tooltip('show')
        }
      }
    });

    return false;
  })


  $('.share_toggle').on('click', function () {
    $('.share_dialog').toggleClass('active');
  });


  var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
  var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
    return new bootstrap.Tooltip(tooltipTriggerEl)
  })


  if ($("html").hasClass("light")) {
    $(".dark_toggle").removeClass("bi-moon");
    $(".dark_toggle").addClass("bi-sun");
  } else {
    $(".dark_toggle").removeClass("bi-sun");
    $(".dark_toggle").addClass("bi-moon");
  }

  $(".light_trigger").on('click', function () {
    $("html").toggleClass("light");
    if ($("html").hasClass("light")) {
      localStorage.setItem("theme", "light");
      $(".dark_toggle").removeClass("bi-moon");
      $(".dark_toggle").addClass("bi-sun");
    } else {
      localStorage.setItem("theme", "dark");
      $(".dark_toggle").removeClass("bi-sun");
      $(".dark_toggle").addClass("bi-moon");
    }
  });

  $(window).on('scroll', function () {
    var sticky = $('.header'),
      scroll = $(window).scrollTop();

    if (scroll >= sticky.height()) sticky.addClass('fixed');
    else sticky.removeClass('fixed');
  });


  if ($('.pagination').children().length == 0) {
    $('.pagination').hide();
  }

  var submenu = $(".float_menu .sub-menu").hide();

  $(".float_menu li > a").click(function (e) {
    if ($(this).next().is("ul")) {
      e.preventDefault();
      if ($(this).parent().hasClass("child-minus")) {
        $(this).parent().removeClass("child-minus");
        $(this).next().slideUp("500");
      } else {
        // submenu.slideUp("500");
        $(".float_menu li").removeClass("child-minus");
        $(this).parent().addClass("child-minus");
        $(this).next().slideDown("500");
      }
      return false;
    }
  });


  var main_slider = new Swiper(".main_slider", {
    slidesPerView: 3,
    spaceBetween: 0,
    centeredSlides: true,
    roundLengths: true,
    autoplay: {
      delay: 4000,
    },
    effect: 'coverflow',
    coverflowEffect: {
      rotate: 0,
      slideShadows: false,
    },
    pauseOnMouseEnter: true,
    loop:true,
    breakpoints: {
      0: {
        slidesPerView: 1,
      },
      400: {
        slidesPerView: 1,
      },
      640: {
        slidesPerView: 1,
      },
      768: {
        slidesPerView: 3,
      },
      1024: {
        slidesPerView: 3,
      },
    },
  });

  var elementorSwiper = new Swiper(".elementorSwiper", {
    slidesPerView: 6.25,
    spaceBetween: 15,
    navigation: {
      nextEl: ".button-next",
      prevEl: ".button-prev",
    },
    pagination: {
      el: ".swiper-pagination",
      clickable: true,
    },
    breakpoints: {
      0: {
        slidesPerView: 1.55,
        spaceBetween: 20,
      },
      400: {
        slidesPerView: 2.25,
        spaceBetween: 20,
      },
      640: {
        slidesPerView: 3.25,
        spaceBetween: 20,
      },
      768: {
        slidesPerView: 4.25,
        spaceBetween: 30,
      },
      1024: {
        slidesPerView: 6.25,
        spaceBetween: 15,
      },
    },
  });

  var elementorSwiper2 = new Swiper(".elementorSwiper2", {
    slidesPerView: 4,
    spaceBetween: 15,
    navigation: {
      nextEl: ".button-next",
      prevEl: ".button-prev",
    },
    pagination: {
      el: ".swiper-pagination",
      clickable: true,
    },
    breakpoints: {
      0: {
        slidesPerView: 1,
        spaceBetween: 20,
      },
      400: {
        slidesPerView: 2,
        spaceBetween: 20,
      },
      640: {
        slidesPerView: 3,
        spaceBetween: 20,
      },
      768: {
        slidesPerView: 4,
        spaceBetween: 30,
      },
      1024: {
        slidesPerView: 4,
        spaceBetween: 15,
      },
    },
  });

  var songSwiper = new Swiper(".songSwiper", {
    slidesPerView: 6.25,
    spaceBetween: 15,
    navigation: {
      nextEl: "#song-next",
      prevEl: "#song-prev",
    },
    pagination: {
      el: ".swiper-pagination",
      clickable: true,
    },
    breakpoints: {
      0: {
        slidesPerView: 1.55,
        spaceBetween: 20,
      },
      400: {
        slidesPerView: 2.25,
        spaceBetween: 20,
      },
      640: {
        slidesPerView: 3.25,
        spaceBetween: 20,
      },
      768: {
        slidesPerView: 4.25,
        spaceBetween: 30,
      },
      1024: {
        slidesPerView: 6.25,
        spaceBetween: 15,
      },
    },
  });

  var PodcastSwiper = new Swiper(".PodcastSwiper", {
    slidesPerView: 6.25,
    spaceBetween: 15,
    navigation: {
      nextEl: "#pod-next",
      prevEl: "#pod-prev",
    },
    pagination: {
      el: ".swiper-pagination",
      clickable: true,
    },
    breakpoints: {
      0: {
        slidesPerView: 1.55,
        spaceBetween: 20,
      },
      400: {
        slidesPerView: 2.25,
        spaceBetween: 20,
      },
      640: {
        slidesPerView: 3.25,
        spaceBetween: 20,
      },
      768: {
        slidesPerView: 4.25,
        spaceBetween: 30,
      },
      1024: {
        slidesPerView: 6.25,
        spaceBetween: 15,
      },
    },
  });

  var VideoSwiper = new Swiper(".VideoSwiper", {
    slidesPerView: 4,
    spaceBetween: 15,
    navigation: {
      nextEl: "#vid-next",
      prevEl: "#vid-prev",
    },
    pagination: {
      el: ".swiper-pagination",
      clickable: true,
    },
    breakpoints: {
      0: {
        slidesPerView: 1.55,
        spaceBetween: 20,
      },
      400: {
        slidesPerView: 3,
        spaceBetween: 20,
      },
      640: {
        slidesPerView: 3,
        spaceBetween: 20,
      },
      768: {
        slidesPerView: 4,
        spaceBetween: 30,
      },
      1024: {
        slidesPerView: 4,
        spaceBetween: 15,
      },
    },
  });


  var albumSwiper = new Swiper(".albumSwiper", {
    slidesPerView: 6.25,
    spaceBetween: 15,
    navigation: {
      nextEl: "#album-next",
      prevEl: "#album-prev",
    },
    pagination: {
      el: ".swiper-pagination",
      clickable: true,
    },
    breakpoints: {
      0: {
        slidesPerView: 1.55,
        spaceBetween: 20,
      },
      400: {
        slidesPerView: 2.25,
        spaceBetween: 20,
      },
      640: {
        slidesPerView: 3.25,
        spaceBetween: 20,
      },
      768: {
        slidesPerView: 4.25,
        spaceBetween: 30,
      },
      1024: {
        slidesPerView: 6.25,
        spaceBetween: 15,
      },
    },
  });

  var customSwiper = new Swiper(".customSwiper", {
    slidesPerView: 6.25,
    spaceBetween: 15,
    pagination: {
      el: ".swiper-pagination",
      clickable: true,
    },
    breakpoints: {
      0: {
        slidesPerView: 1.55,
        spaceBetween: 20,
      },
      400: {
        slidesPerView: 2.25,
        spaceBetween: 20,
      },
      640: {
        slidesPerView: 3.25,
        spaceBetween: 20,
      },
      768: {
        slidesPerView: 4.25,
        spaceBetween: 30,
      },
      1024: {
        slidesPerView: 6.25,
        spaceBetween: 15,
      },
    },
  });


  var rel_swiper = new Swiper(".rel_swiper", {
    slidesPerView: 6.25,
    spaceBetween: 15,
    navigation: {
      nextEl: "#song-next",
      prevEl: "#song-prev",
    },
    pagination: {
      el: ".swiper-pagination",
      clickable: true,
    },
    breakpoints: {
      0: {
        slidesPerView: 1.55,
        spaceBetween: 20,
      },
      400: {
        slidesPerView: 2.25,
        spaceBetween: 20,
      },
      640: {
        slidesPerView: 3.25,
        spaceBetween: 20,
      },
      768: {
        slidesPerView: 4.25,
        spaceBetween: 30,
      },
      1024: {
        slidesPerView: 3.25,
        spaceBetween: 15,
      },
    },
  });

  var blogSwiper = new Swiper(".blogSwiper", {
    slidesPerView: 4.15,
    spaceBetween: 15,
    pagination: {
      el: ".swiper-pagination",
      clickable: true,
    },
    navigation: {
      nextEl: "#blog-next",
      prevEl: "#blog-prev",
    },
    breakpoints: {
      0: {
        slidesPerView: 1.15,
        spaceBetween: 20,
      },
      400: {
        slidesPerView: 1.15,
        spaceBetween: 20,
      },
      640: {
        slidesPerView: 1.15,
        spaceBetween: 20,
      },
      768: {
        slidesPerView: 3.15,
        spaceBetween: 30,
      },
      1024: {
        slidesPerView: 4.15,
        spaceBetween: 15,
      },
    },
  });



  var featuredSwiper = new Swiper(".featuredSwiper", {
    slidesPerView: 5.5,
    spaceBetween: 30,
    pagination: {
      el: ".swiper-pagination",
      clickable: true,
    },
    breakpoints: {
      0: {
        slidesPerView: 1.75,
        spaceBetween: 20,
      },
      400: {
        slidesPerView: 2.5,
        spaceBetween: 20,
      },
      640: {
        slidesPerView: 3.5,
        spaceBetween: 20,
      },
      768: {
        slidesPerView: 4.5,
        spaceBetween: 30,
      },
      1024: {
        slidesPerView: 5.5,
        spaceBetween: 30,
      },
    },
  });

  var genreSwiper = new Swiper(".genreSwiper", {
    slidesPerView: 5.5,
    spaceBetween: 30,
    breakpoints: {
      0: {
        slidesPerView: 1.75,
        spaceBetween: 20,
      },
      400: {
        slidesPerView: 2.5,
        spaceBetween: 20,
      },
      640: {
        slidesPerView: 3.5,
        spaceBetween: 20,
      },
      768: {
        slidesPerView: 4.5,
        spaceBetween: 30,
      },
      1024: {
        slidesPerView: 5.5,
        spaceBetween: 30,
      },
    },
  });
});
