<?php

if (post_password_required()) {
  return;
}
?>

<div id="comments" class="comments-area">

  <?php

  // You can start editing here -- including this comment!
  if (have_comments()) :  ?>
    <ol class="comment-list">
      <?php
      wp_list_comments('type=comment&callback=mycomments');
      ?>
    </ol><!-- .comment-list -->

    <?php if (get_comment_pages_count() > 1 && get_option('page_comments')) :
    $cpage = get_query_var('cpage') ? get_query_var('cpage') : 1;
    ?>
      <button class="load_more_comments" data-lp="<?php echo get_comment_pages_count() ?>" data-cp="<?php echo $cpage ?>" data-id="<?php echo get_the_ID() ?>" id="load_more_comments">
      
      <?php _e('مشاهده نظرات بیشتر', 'musicsara') ?>      
    </button>
    <?php
    endif; // Check for comment navigation.

  endif; // Check for have_comments().


  // If comments are closed and there are comments, let's leave a little note
  if (!comments_open() && get_comments_number() && post_type_supports(get_post_type(), 'comments')) : ?>

    <p class="no-comments"><?php esc_html_e('Comments are closed.', 'wphierarchy'); ?></p>
  <?php
  endif;


  ?>
  <?php
  comment_form(
    array(
      'title_reply'  => __('دیدگاهتان را بنویسید!', 'musicsara'),
      'cancel_reply_link'     => '<i class="bi bi-x-circle-fill"></i>'.__(' لغو پاسخ ', 'musicsara'),
      'comment_field' => '<div class="comment-form comment-text"><textarea id="comment" placeholder="'.__('نظر شما', 'musicsara').'" name="comment" cols="45" rows="2" maxlength="65525" required="required" class="form-control"></textarea></div>',
      'fields' =>  array(
        'author' => '<div class="d-flex mb-3"><div class="comment-form comment-name "><input class="form-control" id="author" placeholder="'.__('نام شما', 'musicsara').'" name="author" type="text" value="" size="30" maxlength="245" required="required"></div>',
        'email' => '<div class="comment-form comment-email pe-3"><input class="form-control" id="email" placeholder="'.__('ایمیل شما', 'musicsara').'" name="email" type="text" value="" size="30" maxlength="100" aria-describedby="email-notes" required="required"></div></div>',
      )
    )
  );
  ?>
</div><!-- #comments -->