<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class PostCommentsWidget extends \Elementor\Widget_Base {

	public function get_name() {
		return 'post_comments';
	}

	public function get_title() {
		return esc_html__( 'دیدگاه های مطلب', 'musicsara' );
	}

	public function get_icon() {
		return 'eicon-comments';
	}

	public function get_custom_help_url() {
		return 'https://developers.elementor.com/docs/widgets/';
	}

	public function get_categories() {
		return [ 'musicsara' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'content_section',
			[
				'label' => esc_html__( 'تنظیمات', 'musicsara' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

		$this->end_controls_section();

	}

	protected function render() {
  $settings = $this->get_settings_for_display();
  global $post;
  ?>

<section class="comments">
<div class="content__header d-flex justify-content-between">
    <h3><span class="indicator"></span><?php _e('نظرات', 'musicsara') ?></h3>
  </div>
  <?php
  if (comments_open()) {
    comments_template();
  }
  ?>
</section>


  <?php
	}
}