<?php $config = get_option('my_framework'); ?>
<div class="row">
  <?php get_sidebar('right') ?>
  <div class="col-lg-6 order-1 order-sm-1 main_content_wrap">
    <div class="breadcrumbs my-2">
      <?php dimox_breadcrumbs() ?>
    </div><!-- /.breadcrumbs -->
    <?php
    while(have_posts()) : the_post(); ?>
      <article class="main_content">
        <div class="main_content__header">
          <i class="bi icon bi-music-note-beamed"></i>
          <h2><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h2>
          <div class="old_like">
            <?php echo like_it_button_html('', $post); ?>
          </div>
        </div><!-- /.main_content__header -->
        <div class="main_content__body">
          <?php the_content(); ?>

          <a class="post_download" href="<?php the_permalink();?>">
            <i class="bi bi-download"></i>
            دانلود
          </a>
        </div><!-- /.main_content__body -->
      </article><!-- /.main_content -->
    <?php endwhile; ?>
    <!-- <div class="pagination pagination_bg">
      <?php pagination(__('قبلی', 'musicsara'), __('بعدی', 'musicsara'));  ?>
    </div> -->
  </div><!-- /.main_content_wrap -->
  <?php get_sidebar('left') ?>
</div> <!-- /.row -->