<div class="music_card">
  <div class="swiper_image">
    <a href="<?php the_permalink() ?>">
      <?php the_post_thumbnail('cover') ?>
      <div class="image_overlay">
        <?php if(has_term('video', 'type_')) : ?>
          <i class="bi bi-play-circle"></i>
        <?php endif; ?>
      </div>
    </a>
  </div>
  <div class="swiper_title">
    <a href="<?php the_permalink() ?>">
      <h2><?php echo get_field('title') ? get_field('title') : the_title(); ?></h2>
    </a>
    <div class="d-flex justify-content-between align-items-center">
        <span class="text-truncate swiper_artist">
          <?php echo get_the_term_list($post->ID, 'artist', '', ' ', ''); ?>
        </span>
      <?php
      if(has_term(['single', 'podcast'], 'type_')):
        ?>
        <span data-state="" data-id="<?= get_the_ID(); ?>" data-nonce="<?= wp_create_nonce('playonline') ?>" data-link="" data-name="" class="play_icon play_single_music"><i class="bi bi-play-fill"></i></span>
      <?php else: ?>
        <a class="dl_icon" href="<?php the_permalink() ?>"><i class="bi bi-download"></i></a>
      <?php endif;?>
    </div>
  </div>
</div>