<div style="<?php echo  is_rtl() ? 'direction: rtl' : 'direction: ltr' ?>"  class="register">
  <div class="manual-register-form">
    <div class="logo">
      <a href="<?php bloginfo('url') ?>">
        <?php if ($config['logo_image']['url']) : ?>
          <img src="<?php echo $config['logo_image']['url']; ?>" alt="logo" class="logo_img" />
        <?php else : ?>
          <img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="logo" class="logo_img" />
        <?php endif; ?>
        <span><?php echo $config['logo_text']; ?></span>
      </a>
    </div>
    <div class="title">
      <h2> عضویت در <?php bloginfo('name') ?></h2>
    </div>
    <form id="ajax_register" class="ajax_form" action="#">
      <div class="msg"></div>
      <div class="load_overlay">
        <div class="lds-ellipsis">
          <div></div>
          <div></div>
          <div></div>
          <div></div>
        </div>
      </div>
      <input class="register-input register_username" required name="username" type="text" placeholder="نام کاربری">
      <input class="register-input register_email" required name="email" type="text" placeholder="ایمیل">
      <div class="d-flex">
        <input class="register-input ms-2 register_pass" required name="password" type="password" placeholder="رمزعبور">
        <input class="register-input register_pass2" required name="password_again" type="password" placeholder="تایید رمز عبور">
      </div>
      <div class="d-flex justify-content-between align-items-center ajax_form__submit">
        <button class="ajax_form__register">عضویت</button>
      </div>
      <div class="d-flex justify-content-between align-items-center ajax_form__links">
        <span>حساب کاربری دارید؟</span>
        <a href="<?php bloginfo('url') ?>/login">وارد شوید</a>
      </div>
    </form>
  </div>
</div>