<main class="<?php musicsara_container_class(); ?> clean_demo ajax_context" style="min-height: 500px">
  <div class="breadcrumbs my-2">
    <?php dimox_breadcrumbs() ?>
  </div>

  <div class="single_info">
    <div class="row">
      <div class="col-lg-3">
        <div class="single_info_sticky mb-4">
          <div class="single_info_sticky--cover">
            <div class="position-relative">
              <?php the_post_thumbnail('cover_single') ?>
            </div>
          </div><!-- /.single_info__cover -->
          <div class="single_info_sticky--title">
            <h2><?php echo get_field('title') ? get_field('title') : the_title(); ?></h2>
            <span class="text-truncate swiper_artist">
              <?php echo get_the_term_list($post->ID, 'artist', '', ' ', ''); ?>
            </span>
          </div><!-- /.single_info_sticky--title -->

          <div class="single_info__details">

            <div class="single_info_sticky--cta single_share">
              <button class="share_toggle position-relative">
                <i class="bi bi-share-fill"></i>
                  <div class="share_dialog">
                  <a data-bs-toggle="tooltip" data-bs-placement="top" title="<?php _e('اشتراک گذاری در واتس‌آپ', 'musicsara'); ?>" class="whatsapp" href="https://api.whatsapp.com/send/?phone&text=<?php the_permalink();?>//&app_absent=0"><i class="bi bi-whatsapp"></i></a>
                  <a data-bs-toggle="tooltip" data-bs-placement="top" title="<?php _e('اشتراک گذاری در تلگرام', 'musicsara'); ?>" class="telegram" href="https://telegram.me/share/url?url=<?php the_permalink();?>"><i class="bi bi-telegram"></i></a>
                  <a data-bs-toggle="tooltip" data-bs-placement="top" title="<?php _e('اشتراک گذاری در توییتر', 'musicsara'); ?>" class="twitter" href="https://twitter.com/share?text=<?php the_title() ?>&amp;url=<?php the_permalink();?>"><i class="bi bi-twitter"></i></a>
                </div>
              </button>


              <?php echo like_it_button_html('', $post); ?>


            </div><!-- /.single_info_sticky--cta -->
          </div>

          <div class="download">
            <?php if(get_field('download_128')): ?>
            <a download href="<?php the_field('download_128') ?>"><i class="bi bi-download"></i> <?php _e('دانلود با کیفیت ۱۲۸', 'musicsara') ?></a>
            <?php endif; ?>
            <?php if(get_field('download_320')): ?>
            <a download href="<?php the_field('download_320') ?>"><i class="bi bi-download"></i> <?php _e('دانلود با کیفیت ۳۲۰', 'musicsara') ?></a>
            <?php endif; ?>
            <?php if(get_field('download_flac')): ?>
            <a download href="<?php the_field('download_flac') ?>"><i class="bi bi-download"></i> <?php _e('دانلود با کیفیت FLAC', 'musicsara') ?></a>
            <?php endif; ?>
            <?php if(get_field('album_zip_128')): ?>
            <a download href="<?php the_field('album_zip_128') ?>"><i class="bi bi-download"></i> <?php _e('دانلود بصورت یکجا با کیفیت ۱۲۸', 'musicsara') ?></a>
            <?php endif; ?>
            <?php if(get_field('album_zip_320')): ?>
            <a download href="<?php the_field('album_zip_320') ?>"><i class="bi bi-download"></i> <?php _e('دانلود بصورت یکجا با کیفیت ۳۲۰', 'musicsara') ?></a>
            <?php endif; ?>
            <?php if(get_field('album_zip_flac')): ?>
            <a download href="<?php the_field('album_zip_flac') ?>"><i class="bi bi-download"></i> <?php _e('دانلود بصورت یکجا با کیفیت FLAC', 'musicsara') ?></a>
            <?php endif; ?>
            <?php if(get_field('video_4k')): ?>
            <a download href="<?php the_field('video_4k') ?>"><i class="bi bi-download"></i><?php _e('دانلود با کیفیت 4k', 'musicsara') ?></a>
            <?php endif; ?>
            <?php if(get_field('video_1080')): ?>
            <a download href="<?php the_field('video_1080') ?>"><i class="bi bi-download"></i> <?php _e('دانلود با کیفیت ۱۰۸۰', 'musicsara') ?></a>
            <?php endif; ?>
            <?php if(get_field('video_720')): ?>
            <a download href="<?php the_field('video_720') ?>"><i class="bi bi-download"></i> <?php _e('دانلود با کیفیت ۷۲۰', 'musicsara') ?></a>
            <?php endif; ?>
            <?php if(get_field('video_480')): ?>
            <a download href="<?php the_field('video_480') ?>"><i class="bi bi-download"></i> <?php _e('دانلود با کیفیت ۴۸۰', 'musicsara') ?></a>
            <?php endif; ?>
          </div>

          <div class="single_info_sticky--info">
            <span class="meta_title"><?php _e('اطلاعات بیشتر', 'musicsara'); ?></span>

            <div class="meta mt-3">
              <div class="meta_item">
                <span>
                  <?php _e('تاریخ انتشار', 'musicsara') ?>
                </span>
                <span class="text-left">
                  <?php echo get_the_date(); ?> 
                </span>
              </div>
              <?php if( get_the_term_list($post->ID, 'genre', '', ' , ', '') ): ?>
              <div class="meta_item">
                <span>
                  <?php _e('سبک', 'musicsara') ?>
                </span>
                <span class="text-left">
                  <?php echo get_the_term_list($post->ID, 'genre', '', ' , ', ''); ?>
                </span>
              </div>
              <?php endif; ?>
              <?php if( get_the_term_list($post->ID, 'artist', '', ' , ', '') ): ?>
              <div class="meta_item">
                <span>
                  <?php _e('هنرمند', 'musicsara') ?>
                </span>
                <span class="text-left">
                  <?php echo get_the_term_list($post->ID, 'artist', '', ' ', ''); ?>
                </span>
              </div>
              <?php endif; ?>
            </div>
          </div><!-- /.single_info_sticky--info -->

        </div><!-- /.single_info_sticky -->
      </div>
      <div class="col-lg-9">
        <div class="single_info__details">
          <h1><?php the_title(); ?></h1>
          <div class="single_genre mt-3 d-block"><?php echo get_the_term_list($post->ID, 'genre', '', ' ', ''); ?>
          </div>
        </div>


        <?php if(get_field('video_1080') || get_field('video_720') || get_field('video_480')):?>
          <div class="video mt-3">
            <video id="video_player" playsinline controls data-poster="<?= the_field('poster') ?>">
            <?php if(get_field('video_4k')): ?>
              <source src="<?php the_field('video_4k') ?>" type="video/mp4" size="2160" />
              <?php endif; ?>
              <?php if(get_field('video_1080')): ?>
              <source src="<?php the_field('video_1080') ?>" type="video/mp4" size="1080" />
              <?php endif; ?>
              <?php if(get_field('video_720')): ?>
              <source src="<?php the_field('video_720') ?>" type="video/mp4" size="720" />
              <?php endif;?>
              <?php if(get_field('video_480')): ?>
              <source src="<?php the_field('video_480') ?>" type="video/mp4" size="480" />
              <?php endif;?>
            </video>
          </div>
          <?php endif; ?>

          <?php if(get_field('album')):
            $links = [];  
          ?>
          <section class="album_list mb-5 mt-3">
            <?php $i = 1; $j = 0; $links = []; if(have_rows('album')): while( have_rows('album') ) : the_row();
              if(get_sub_field('album_128')){
                $links[] = ['name'=>get_sub_field('name'), 'link'=>get_sub_field('album_128')];
              }else{
                $links[] = ['name'=>get_sub_field('name'), 'link'=>get_sub_field('album_320')];
              }
            ?>
            <div class="album_item d-flex justify-content-between align-items-center">
              <div class="rightSide d-flex align-items-center">
                <div class="increment"><?= $i; ?></div>
                <div class="play">
                  <button data-index="<?= $j; ?>" data-title="<?php the_sub_field('name') ?>" class="playAlbum" aria-label="پخش"><i class="bi bi-play-fill"></i></button>
                </div>
                <div class="album_item__artist">
                  <?php echo get_the_term_list($post->ID, 'artist', '', ' ', ''); ?>
                </div>
                <a class="album_item__title" href="<?php the_permalink() ?>"><?php the_sub_field('name') ?></a>
              </div>
              <div class="leftSide d-flex">
                <?php if(get_sub_field('album_128')):?>
                <a download class="album_item__download" href="<?php the_sub_field('album_128') ?>"><i class="bi bi-download"></i> <?php _e('دانلود با کیفیت ۱۲۸', 'musicsara') ?></a>
                <?php endif;?>
                <?php if(get_sub_field('album_320')):?>
                <a download class="album_item__download" href="<?php the_sub_field('album_320') ?>"><i class="bi bi-download"></i> <?php _e('دانلود با کیفیت ۳۲۰', 'musicsara') ?></a>
                <?php endif;?>
                <?php if(get_sub_field('album_flac')):?>
                <a download class="album_item__download" href="<?php the_sub_field('album_flac') ?>"><i class="bi bi-download"></i> <?php _e('دانلود با کیفیت FLAC', 'musicsara') ?></a>
                <?php endif;?>
              </div>
            </div>
            <?php $i++; $j++; endwhile; endif;  ?>
            
          </section>
          <?php endif; ?>
          <?php if(get_the_content()): ?>
          <div class="content__header d-flex justify-content-between">
            <h3><span class="indicator"></span><?php _e('توضیحات', 'musicsara') ?></h3>
          </div>
          <div class="post_content clearfix">
            <?php the_content(); ?>
          </div>
          <?php endif; ?>


          <?php
          $artist = get_the_terms($post->ID, 'artist');
          $artist_arr = [];
          if($artist){
            foreach($artist as $item){
              $artist_arr[] = $item->term_id;
            }
          }
          $args = array(
            'showposts' => 8,
            'post__not_in' => array($post->ID),
            'tax_query' => array(
              array(
                'taxonomy' => 'artist',
                'field' => 'id',
                'terms' => $artist_arr,
              )
            )
          );

          $query = new WP_Query($args);
          if($query->have_posts()):
          ?>
          <section class="latestSongs mb-5">
            <div class="latestSongs__header d-flex justify-content-between">
              <h3><span class="indicator"></span> <?php _e('آثار دیگر این خواننده', 'musicsara') ?></h3>
              <div class="button_wrap d-flex">
                <div id="song-prev" class="button-prev"><i class="bi bi-chevron-right"></i></div>
                <div id="song-next" class="button-next"><i class="bi bi-chevron-left"></i></div>
              </div>
            </div>
            <div class="swiper songSwiper">
              <div class="swiper-wrapper">
                <?php
                if ($query->found_posts) :
                  while ($query->have_posts()) :
                    $query->the_post();
                ?>
                    <div class="swiper-slide">
                      <?php get_template_part('inc/template_parts/cards/default') ?>
                    </div>
                <?php
                  endwhile;
                endif;
                wp_reset_postdata();
                ?>
              </div>
            </div>
          </section>
        <?php endif; ?>

        <?php if(get_the_tags('')): ?>
        <section class="tags">
          <div class="tags__header">
            <h4><i class="bi bi-tags"></i> <?php _e('برچسب ها', 'musicsara') ?></h4>
            <i class="bi bi-chevron-double-left"></i>
          </div>
          <div class="tags__inner">
            <?php the_tags('', ''); ?>
          </div>
        </section>
        <?php endif; ?>

        <section class="comments">
        <div class="content__header d-flex justify-content-between">
            <h3><span class="indicator"></span><?php _e('نظرات', 'musicsara') ?></h3>
          </div>
          <?php
          if (comments_open()) {
            comments_template();
          }
          ?>
        </section>

      </div>
    </div>
  </div><!-- /.single_info -->

</main>


<?php if(get_field('lyrics')): ?>
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel"> <?php _e('متن ترانه', 'musicsara') ?></h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
      <?php if(get_field('lyrics')): ?>
      <div class="single_info_lyrics">
        <?php the_field('lyrics') ?>
      </div>
      <?php endif; ?>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal"><?php _e('بستن', 'musicsara') ?></button>
      </div>
    </div>
  </div>
</div>
<?php endif; ?>