<?php
/* Template Name: صفحه اختصاصی پنل کاربری */

get_header();
?>
<!-- inline styles -->
<style>
  .header, .stick_header{
    display: none !important;
  }
</style>
<!-- inline styles -->


<div class="panel_header">
  <div class="container">
    <div class="d-flex justify-content-between align-items-center">
      <a href="<?php bloginfo('url') ?>">
        <div class="logo d-flex gap-2">
        <?php if (theme_options('logo_image')['url']) : ?>
        <img src="<?php echo theme_options('logo_image')['url']; ?>" alt="<?php bloginfo('name') ?>">
        <?php endif; ?>
        <span><?= theme_options('logo_text'); ?></span>
        </div>
      </a>
      <?php if( is_user_logged_in() ): ?>
      <div class="fast_menu">

        <a title="<?php _e('سفارشات', 'sepidar') ?>" href="<?php bloginfo('url') ?>/my-account/orders"><i class="bi bi-bag-check-fill"></i></a>

        <a title="<?php _e('خروج از سیستم', 'sepidar') ?>" href="<?php echo wc_logout_url() ?>"><i class="bi bi-box-arrow-right"></i></a>

      </div><!-- /.fast_menu -->
      <?php endif; ?>
    </div>
  </div><!-- /.container -->
</div>

<div class="container mt-3">
  <?php the_content(); ?>
  </div>
</div>

<?php get_footer(); ?>