<?php
$config = get_option('my_framework');
get_header();

/** Demo select */
if(theme_options('demo_mode') && isset( $_GET['demo'] )){
  $demo = (int)$_GET['demo'];
  
  if($demo == 1){
    $config['single_demo'] = 'modern';
  }else if($demo == 2){
    $config['single_demo'] = 'clean';
  }else if($demo == 3){
    $config['single_demo'] = 'old';
  }
}
?>
<?php
if(get_the_terms($post->ID, 'type_')):
  if(get_the_terms($post->ID, 'type_')[0]->slug == 'video'): ?>
<link rel="stylesheet" href="<?php echo get_template_directory_uri() ?>/assets/css/plyr.css" />
<?php endif; endif; ?>

<?php 
if( $config['single_demo'] == 'modern' ){
  get_template_part('inc/template_parts/single/modern');
}elseif( $config['single_demo'] == 'clean' ){
  get_template_part('inc/template_parts/single/clean');
}else{
  get_template_part('inc/template_parts/single/old');
}
?>


<?php if(get_the_terms($post->ID, 'type_')): if(get_the_terms($post->ID, 'type_')[0]->slug !== 'video'): ?>
<div id="player">
  <button id="close_player"><i class="bi bi-x"></i></button>
  <div class="<?php musicsara_container_class(); ?>">
    <?php
    if(get_field('album')):
      $links = [];  

      $i = 1; $j = 0; $links = []; 
      if(have_rows('album')): while( have_rows('album') ) : the_row();
        if(get_sub_field('album_128')){
          $links[] = ['name'=>get_sub_field('name'), 'link'=>get_sub_field('album_128')];
        }else{
          $links[] = ['name'=>get_sub_field('name'), 'link'=>get_sub_field('album_320')];
        }
      endwhile;
      endif;
    endif;

    if(!empty($links)){
      $activeSong = $links[0]['link'];
    }else{
      $activeSong = get_field('download_128') ? get_field('download_128') : get_field('download_320');
    }
    $temp_name= '';
    if(get_the_terms($post->ID, 'type_')[0]->slug == 'album'){
      if($links){
        $temp_name = $links[0]['name'];
      }
    }else{
      $temp_name = get_field('title');
    }
    ?>
    <audio id="audioPlayerSingle" data-firtSongName="<?= $temp_name ?>" preload="none" data-activeIndex="0" src="<?= $activeSong; ?>">
      <?php if(isset($links)): foreach($links as $key => $link): ?>
        <source src="<?= $link['link']; ?>" data-index="<?= $key ?>" data-title="<?= $link['name'] ?>">
      <?php endforeach; endif;?>
    </audio>
  </div>
</div>
<div id="open_player"><i class="bi bi-chevron-up"></i></div>
<?php endif; endif; ?>


<?php get_footer(); ?>