<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class SingleContentWidget extends \Elementor\Widget_Base {

	public function get_name() {
		return 'single_contnet';
	}

	public function get_title() {
		return esc_html__( 'باکس توضیحات مطلب', 'musicsara' );
	}

	public function get_icon() {
		return 'eicon-table-of-contents';
	}

	public function get_custom_help_url() {
		return 'https://developers.elementor.com/docs/widgets/';
	}

	public function get_categories() {
		return [ 'musicsara' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'content_section',
			[
				'label' => esc_html__( 'تنظیمات', 'musicsara' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

		$this->end_controls_section();

	}

	protected function render() {
  $settings = $this->get_settings_for_display();
  global $post;
  ?>

  <?php if(get_the_content()): ?>
  <div class="content__header d-flex justify-content-between">
    <h3><span class="indicator"></span><?php _e('توضیحات', 'musicsara') ?></h3>
  </div>
  <div class="post_content clearfix">
    <?php the_content(); ?>
  </div>
  
  <?php endif; ?>
  <?php
	}
}