<?php
// Disables the block editor from managing widgets in the Gutenberg plugin.
add_filter( 'gutenberg_use_widgets_block_editor', '__return_false' );
// Disables the block editor from managing widgets.
add_filter( 'use_widgets_block_editor', '__return_false' );

// move taxt function by imahmoodzz
function move_type_tax($post_id){
  $old_type = wp_get_object_terms( $post_id, 'type' );
  $new_type = array();
  foreach( $old_type AS $t ) {
    $new_type[] = $t->slug;
  }
  wp_set_object_terms( $post_id, $new_type, 'type_' );
}

// $labels_type = array(
//   'name' => _x(' نوع پست (منسوخ شده)', 'taxonomy general name'),
//   'singular_name' => _x('نوع پست (منسوخ شده)', 'taxonomy singular name'),
//   'search_items' => __('جستجو نوع پست'),
//   'all_items' => __('تمام نوع پست'),
//   'parent_item' => __('استفاده نکنید'),
//   'parent_item_colon' => __('Parent Subject:'),
//   'edit_item' => __('ویرایش نوع پست'),
//   'update_item' => __('بروزرسانی نوع پست'),
//   'add_new_item' => __('افزودن نوع پست'),
//   'new_item_name' => __('New Subject Name'),
//   'menu_name' => __('نوع پست (منسوخ شده)'),
// );

// register_taxonomy('type', array('post'), array(
//   'hierarchical' => true,
//   'labels' => $labels_type,
//   'show_ui' => true,
//   'show_in_rest' => true,
//   'show_admin_column' => true,
//   'query_var' => true,
//   'rewrite' => array('slug' => 'type'),
// ));





// create default post type after theme switch
function create_musicsara_post_types(){
  wp_insert_term(
    'album',
    'type_',
  );
  wp_insert_term(
    'single',
    'type_',
  );
  wp_insert_term(
    'video',
    'type_',
  );
  wp_insert_term(
    'podcsat',
    'type_',
  );
}

add_action('after_switch_theme', 'create_musicsara_post_types');









// put your custom codes below...
