<div style="<?php echo  is_rtl() ? 'direction: rtl' : 'direction: ltr' ?>" class="register">
    <div class="manual-register-form">
      <div class="logo">
        <a href="<?php bloginfo('url') ?>">
          <?php if ($config['logo_image']['url']) : ?>
            <img src="<?php echo $config['logo_image']['url']; ?>" alt="logo" class="logo_img" />
          <?php else : ?>
            <img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="logo" class="logo_img" />
          <?php endif; ?>
          <span><?php echo $config['logo_text']; ?></span>
        </a>
      </div>
      <div class="title">
        <h2>ورود به <?php bloginfo('name');?></h2>
      </div>
      <form id="ajax_login" class="ajax_form" action="#">
        <div class="msg"></div>
        <div class="load_overlay">
          <div class="lds-ellipsis"><div></div><div></div><div></div><div></div></div>
        </div>
        <input class="register-input login_username" type="text" placeholder="نام کاربری یا ایمیل">
        <input class="register-input login_password" type="password" placeholder="رمزعبور">
        <div class="d-flex justify-content-between align-items-center ajax_form__submit">
          <label class="custom-checkbox remember_me">
          <input type="checkbox" name="remember">
            مرا به خاطر بسپار
            <!-- <span class="checkmark"></span> -->
          </label>
          <button class="ajax_from__login">ورود</button>
        </div>
        <div class="d-flex justify-content-between align-items-center ajax_form__links">
          <a href="<?php bloginfo('url') ?>/register">ثبت نام</a>
          <a href="<?php echo wp_lostpassword_url() ?>">فراموشی رمز</a>
        </div>
      </form>
    </div>
  </div>