<?php 
/* Template Name: صفحه تماس با ما*/
get_header();
$config = get_option('my_framework');
?>
<main class="<?php musicsara_container_class(); ?> mt-3 ajax_context" style="min-height: 470px">
  <div class="content__header d-flex justify-content-between mt-4">
    <h3><span class="indicator"></span><?php the_title(); ?></h3>
  </div>
  <div class="row">
    <div class="post_content">
      <div class="row">
        <div class="col-lg-6">
          <?= do_shortcode(get_field('shortcode_form'));?>
        </div>
        <div class="col-lg-6">
          <?php the_content() ?>

          <div class="social">
            <div class="social_desc"><?php _e('مارا در شبکه های اجتماعی دنبال کنید', 'musicsara') ?></div>
            <div class="social_list">
              <ul>
                <?php if ($config['telegram']) : ?>
                  <li><a class="telegram" href="<?= $config['telegram']; ?>"><i class="bi bi-telegram"></i></a></li>
                <?php endif; ?>
                <?php if ($config['instagram']) : ?>
                  <li><a class="instagram" href="<?= $config['instagram']; ?>"><i class="bi bi-instagram"></i></a></li>
                <?php endif; ?>
                <?php if ($config['twitter']) : ?>
                  <li><a class="twitter" href="<?= $config['twitter']; ?>"><i class="bi bi-twitter"></i></a></li>
                <?php endif; ?>
                <?php if ($config['facebook']) : ?>
                  <li><a class="facebook" href="<?= $config['facebook']; ?>"><i class="bi bi-facebook"></i></a></li>
                <?php endif; ?>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="pagination">
    <?php pagination(__('قبلی', 'musicsara'), __('بعدی', 'musicsara'));  ?>
  </div>
</main>


<?php get_footer(); ?>