<?php
/** Template Name: صفحه پنل کاربری */
$config = get_option( 'my_framework' );
$is_loggedin = is_user_logged_in();
$current_user = wp_get_current_user();
//var_dump($current_user);
if(!$is_loggedin){
//  auth_redirect();
  header('Location: ' . site_url().'/login');
}
if(empty($_GET['action'])){
  header('Location: ' . site_url().'/panel/?action=dashboard');
}
$action = $_GET['action'];
wp_head();
get_header();
?>

<div class="<?php musicsara_container_class(); ?> pt-4 ajax_context">
  <div class="row">
    <nav id="sidebar" class="col-md-3 col-lg-2 d-md-block panel_menu sidebar collapse">
      <div class="position-sticky">
        <ul class="nav flex-column py-3">
        <div class="avatar_wrap">
          <?php echo get_avatar($current_user->ID); ?>
          <span>
            <?php echo $current_user->display_name ?>
          </span>
        </div>
          <li class="nav-item">
            <a class="nav-link <?php echo ($action === 'dashboard') ? 'active' : ''; ?>" href="<?php bloginfo('url')?>/panel?action=dashboard">
              <i class="bi bi-x-diamond-fill"></i>
              <span class="ml-2">داشبورد</span>
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link <?php echo ($action === 'orders') ? 'active' : ''; ?>" href="<?php bloginfo('url')?>/panel?action=orders">
              <i class="bi bi-cart-fill"></i>
              <span class="ml-2">سفارشات</span>
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link <?php echo ($action === 'downloads') ? 'active' : ''; ?>" href="<?php bloginfo('url')?>/panel?action=downloads">
              <i class="bi bi-download"></i>
              <span class="ml-2">دانلود ها</span>
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link <?php echo ($action === 'edit') ? 'active' : ''; ?>" href="<?php bloginfo('url')?>/panel?action=edit">
              <i class="bi bi-person-fill"></i>
              <span class="ml-2">ویرایش پروفایل</span>
            </a>
          </li>
          <li class="nav-item">
            <a class="nav-link <?php echo ($action === 'logout') ? 'active' : ''; ?>" href="<?php echo wp_logout_url(site_url()) ?>">
              <i class="bi bi-box-arrow-left"></i>
              <span class="ml-2">خروج از حساب کاربری</span>
            </a>
          </li>
        </ul>
      </div>
    </nav>
    <main class="col-md-9 ml-sm-auto col-lg-10 px-md-4 py-0 panel_body">
      <?php
      switch ($action) {
        case "dashboard":
          include('inc/template_parts/panel/dashboard.php');
          break;
        case "orders":
          include('inc/template_parts/panel/orders.php');
          break;
        case "downloads":
          include('inc/template_parts/panel/downloads.php');
          break;
        case "edit":
          include('inc/template_parts/panel/edit.php');
          break;
        case "editprofile":
          include('inc/template_parts/panel/address.php');
          break;
        case "comments":
          include('inc/template_parts/panel/comments.php');
          break;
        default:
      }
      ?>
    </main>
  </div>
</div>

<?php get_footer(); ?>